## Name

glPointParameter — specify point parameters

## C Specification

`void glPointParameterf(` | GLenum pname,
| GLfloat param`)`;

`void glPointParameteri(` | GLenum pname,
| GLint param`)`;

## Parameters

`pname`

  Specifies a single-valued point parameter. `GL_POINT_FADE_THRESHOLD_SIZE`, and `GL_POINT_SPRITE_COORD_ORIGIN` are accepted.

`param`

  Specifies the value that `pname` will be set to.

## C Specification

`void glPointParameterfv(` | GLenum pname,
| const GLfloat * params`)`;

`void glPointParameteriv(` | GLenum pname,
| const GLint * params`)`;

## Parameters

`pname`

  Specifies a point parameter. `GL_POINT_FADE_THRESHOLD_SIZE`, and `GL_POINT_SPRITE_COORD_ORIGIN` are accepted.

`params`

  Specifies the value to be assigned to `pname`..

## Description

The following values are accepted for `pname`:

`GL_POINT_FADE_THRESHOLD_SIZE`

  `params` is a single floating-point value that specifies the threshold value to which point sizes are clamped if they exceed the specified value. The default value is 1.0.

`GL_POINT_SPRITE_COORD_ORIGIN`

  `params` is a single enum specifying the point sprite texture coordinate origin, either `GL_LOWER_LEFT` or `GL_UPPER_LEFT`. The default value is `GL_UPPER_LEFT`.

## Errors

`GL_INVALID_VALUE` is generated if the value specified for `GL_POINT_FADE_THRESHOLD_SIZE` is less than zero.

`GL_INVALID_ENUM` is generated If the value specified for `GL_POINT_SPRITE_COORD_ORIGIN` is not `GL_LOWER_LEFT` or `GL_UPPER_LEFT`.

## Associated Gets

glGet with argument `GL_POINT_FADE_THRESHOLD_SIZE`

glGet with argument `GL_POINT_SPRITE_COORD_ORIGIN`

## See Also

glPointSize

## Copyright

Copyright © 1991-2006 Silicon Graphics, Inc. Copyright © 2010 Khronos Group. This document is licensed under the SGI Free Software B License. For details, see http://oss.sgi.com/projects/FreeB/.